## mediawiki 1.31.6

=== debian/changelog ===
mediawiki (1:1.31.6-1) unstable; urgency=medium

  * New upstream version 1.31.6, fixing CVE-2019-19709.
    * Drop Postgres patches merged upstream
  * Suppress a bunch of lintian warnings that are ignored on purpose
  * Sync d/upstream/signing-key.asc with upstream
  * autopkgtests: set allow-stderr for all tests that use sudo. Thanks
    to Mathieu Trudel-Lapierre for reporting and fixing in Ubuntu.
    (Closes: #946665)

 -- Kunal Mehta <legoktm@debian.org>  Thu, 19 Dec 2019 13:20:56 -0800

mediawiki (1:1.31.5-3) unstable; urgency=medium

  * In autopkgtests, skip testing against mysql-server if it
    isn't available, such as in Debian testing
  * Move packaging git repository to Salsa and update relevant
    documentation
  * Set up and configure Salsa CI
  * Sync d/upstream/signing-key.asc with upstream

 -- Kunal Mehta <legoktm@debian.org>  Mon, 25 Nov 2019 00:59:49 -0800

mediawiki (1:1.31.5-2) unstable; urgency=medium

  * Add extra debugging information to autopkgtests
  * Backport patches from upstream for Postgresql 12 compatibility
    (Closes: #944650)

 -- Kunal Mehta <legoktm@debian.org>  Fri, 15 Nov 2019 15:28:16 -0800

=== debian/control ===
Source: mediawiki
Section: web
Priority: optional
Maintainer: Kunal Mehta <legoktm@debian.org>
Build-Depends: debhelper (>= 10),
 dh-buildinfo,
 apache2-dev
Homepage: https://www.mediawiki.org/
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/mediawiki-team/mediawiki.git
Vcs-Browser: https://salsa.debian.org/mediawiki-team/mediawiki
Rules-Requires-Root: no

Package: mediawiki
Architecture: all
Depends: apache2 | httpd, php, php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd, php-common, php-mbstring, php-xml, mime-support, mediawiki-classes (= ${binary:Version}), ${misc:Depends}
Recommends: default-mysql-server | virtual-mysql-server | postgresql-contrib, php-cli, php-apcu, php-intl, php-curl, php-wikidiff2, python3
Suggests: imagemagick | php-gd, memcached, clamav
Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),
 mediawiki-extensions-ldapauth (<< 2.8~),
 mediawiki-extensions-openid (<< 2.8~),
 mediawiki-extensions-fckeditor,
 mediawiki-extensions-collection (<< 2.8~),
 mediawiki-extensions-graphviz (<< 2.8~),
 mediawiki-extensions (<< 2.8~),
 mediawiki-extensions-base,
 mediawiki-extensions-confirmedit,
 mediawiki-extensions-geshi
Replaces: mediawiki-extensions-base,
 mediawiki-extensions-confirmedit,
 mediawiki-extensions-geshi
Provides: mediawiki-extensions-confirmedit,
 mediawiki-extensions-geshi
Description: website engine for collaborative work
 MediaWiki is a wiki engine (a program for creating a collaboratively
 edited website). It is designed to handle heavy websites containing
 library-like document collections, and supports user uploads of
 images/sounds, multilingual content, TOC autogeneration, ISBN links,
 etc.
 .
 Moreover, it keeps track of changes, so users can receive
 notifications, view diffs and revert edits. This system has many
 other features and can easily be extended.

Package: mediawiki-classes
Architecture: all
Depends: ${misc:Depends}
Breaks: mediawiki (<< 1:1.19.8+dfsg-2.1~)
Replaces: mediawiki (<< 1:1.19.8+dfsg-2.1~)
Description: website engine for collaborative work - standalone classes
 This package provides standalone classes from the remainder of the
 MediaWiki codebase. They do not call on any other portions of MediaWiki
 code, and can be used in portions of MediaWiki code, and can be used in
 other projects without dependency issues.
 .
 MediaWiki is a wiki engine (a program for creating a collaboratively
 edited website). It is designed to handle heavy websites containing
 library-like document collections, and supports user uploads of
 images/sounds, multilingual content, TOC autogeneration, ISBN links,
 etc.
 .
 Moreover, it keeps track of changes, so users can receive
 notifications, view diffs and revert edits. This system has many
 other features and can easily be extended.

## mediawiki 1.31.7

=== maintenance/Makefile ===
help:
	@echo "Run 'make test' to run the parser tests."
	@echo "Run 'make doc' to run the doxygen generation."
	@echo "Run 'make man' to run the doxygen generation with man pages."

test:
	php tests/parser/parserTests.php --quiet

doc:
	php mwdocgen.php --all
	./mwjsduck-gen
	@echo 'PHP documentation (by Doxygen) in ./docs/html/'
	@echo 'JS documentation (by JSDuck) in ./docs/js/'

man:
	php mwdocgen.php --all --generate-man
	@echo 'Doc generation done. Look at ./docs/html/ and ./docs/man'
	@echo 'You might want to update your MANPATH currently:'
	@echo 'MANPATH: $(MANPATH)'

=== serialized/Makefile ===
SPECIAL_TARGETS=normalize-ar.ser normalize-ml.ser first-letters-root.ser
ALL_TARGETS=$(SPECIAL_TARGETS)
DIST_TARGETS=$(SPECIAL_TARGETS)
UNICODE_VERSION=6.0.0

.PHONY: all dist clean

all: $(ALL_TARGETS)
	@echo 'Warning: messages are no longer serialized by this makefile.'

dist: $(DIST_TARGETS)

clean:
	rm -f $(ALL_TARGETS)

normalize-ar.ser: UnicodeData.txt
	php ../maintenance/language/generateNormalizerDataAr.php

normalize-ml.ser:
	php ../maintenance/language/generateNormalizerDataMl.php

first-letters-root.ser: allkeys.txt ucd.all.grouped.xml
	php ../maintenance/language/generateCollationData.php

UnicodeData.txt:
	wget http://www.unicode.org/Public/$(UNICODE_VERSION)/ucd/UnicodeData.txt

allkeys.txt:
	wget http://www.unicode.org/Public/UCA/$(UNICODE_VERSION)/allkeys.txt

ucd.all.grouped.xml: ucd.all.grouped.zip
	unzip ucd.all.grouped.zip ucd.all.grouped.xml

ucd.all.grouped.zip:
	wget http://www.unicode.org/Public/$(UNICODE_VERSION)/ucdxml/ucd.all.grouped.zip

=== extensions/CodeEditor/Makefile ===
# Helper to pull the ace goodies

.PHONY: all clean refresh

all: refresh

clean:
	rm -rf modules/ace ace-git

refresh: ace-git
	test -d modules/ace || mkdir modules/ace
	(cd ace-git && git checkout master && git pull origin master)
	(cd ace-git && npm install && node ./Makefile.dryice.js -nc)
	rsync -av ace-git/build/src-noconflict/ modules/ace/
	cp ace-git/LICENSE modules/ace/LICENSE

ace-git:
	git clone git://github.com/ajaxorg/ace.git ace-git

=== debian/changelog ===
mediawiki (1:1.31.7-1) unstable; urgency=medium

  * New upstream version 1.31.7, fixing CVE-2020-10960.
    CVE-2020-10960 does not affect this version of MediaWiki.
  * A hardening fix was included for the OATHAuth extension to
    limit access of user-controlled JavaScript.
  * Standards-Version: 4.5.0, no changes needed

 -- Kunal Mehta <legoktm@debian.org>  Thu, 26 Mar 2020 15:30:16 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  dh-buildinfo,
  apache2-dev
 Homepage: https://www.mediawiki.org/
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/mediawiki-team/mediawiki.git
 Vcs-Browser: https://salsa.debian.org/mediawiki-team/mediawiki
 Rules-Requires-Root: no

=== debian/watch ===
version=3

opts="dversionmangle=s/^[0-9]+://;s/\+dfsg$//,pgpsigurlmangle=s/$/.sig/" \
https://releases.wikimedia.org/mediawiki/1.31/ mediawiki-([0-9.]*).tar.gz

## mediawiki 1.31.8

=== debian/changelog ===
mediawiki (1:1.31.8-1) unstable; urgency=medium

  * New upstream version 1.31.8, fixing CVE-2020-15005.
  * Use debhelper 12 and dh_installsystemd.

 -- Kunal Mehta <legoktm@debian.org>  Wed, 24 Jun 2020 14:25:22 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Kunal Mehta <legoktm@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
  dh-buildinfo,
  apache2-dev
 Homepage: https://www.mediawiki.org/

=== debian/rules ===
#!/usr/bin/make -f

override_dh_install:
	dh_install
	# Now some tidying up is required
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail/tests/bug17178.phpt
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail/tests/bug17317.phpt
	# These were fixed upstream already: https://github.com/liuggio/statsd-php-client/pull/52
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdData.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/tests/Liuggio/StatsdClient/StatsdDataFactoryTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdDataInterface.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/tests/Liuggio/StatsdClient/Entity/StatsdDataTest.php

	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/wikimedia/less.php/lib/Less/Less.php.combine

	find debian/mediawiki/usr/share/mediawiki -maxdepth 1 -mindepth 1 | grep -v "\(LocalSettings.php\|debian-scripts\|images\|extensions\|config\)" | \
	while read i; do \
		dh_link "`echo "$$i" | sed -e s#debian/mediawiki/##`" \
		"`echo "$$i" | sed -e s#debian/mediawiki/usr/share/mediawiki/#var/lib/mediawiki/#`"; \
	done
	# Remove Makefiles
	find debian/mediawiki/ -iname makefile -exec rm {} \;
	# Move extensions
	mkdir -p debian/mediawiki/usr/share/doc/mediawiki
	mv debian/mediawiki/var/lib/mediawiki/extensions/README \
	    debian/mediawiki/usr/share/doc/mediawiki/README.extensions
	mv debian/mediawiki/var/lib/mediawiki/extensions \
	    debian/mediawiki/usr/share/mediawiki/extensions-core
	mkdir debian/mediawiki/var/lib/mediawiki/extensions
	coreextensions=$$(cd debian/mediawiki/usr/share/mediawiki/extensions-core; \
	    echo *); for coreextension in $$coreextensions; do \
		dh_link usr/share/mediawiki/extensions-core/"$$coreextension" \
		    var/lib/mediawiki/extensions/"$$coreextension"; \
	done
	# includes/libs is provided by mediawiki-classes
	rm -rf debian/mediawiki/usr/share/mediawiki/includes/libs
	# Remove mediawiki-classes README, already installed into /usr/share/doc
	rm debian/mediawiki-classes/usr/share/mediawiki/includes/libs/README

override_dh_installsystemd:
	# Do not enable by default, the user needs to manually
	# configure MediaWiki first.
	dh_installsystemd --no-enable --name=mediawiki-jobrunner

override_dh_installinit:
	# We only have a systemd unit, not sysvinit.
	# Can be removed in debhelper compat 11
	dh_installinit -Nmediawiki

%:
	dh $@ --with apache2

## mediawiki 1.31.10

=== debian/changelog ===
mediawiki (1:1.31.10-1~deb10u1) buster-security; urgency=medium

  * New upstream version 1.31.10, fixing CVE-2020-15005,
    CVE-2020-25812, CVE-2020-25813, CVE-2020-25814,
    CVE-2020-25827, CVE-2020-25828.
    CVE-2020-25689 does not affect this package, it requires an
    additional extension.
  * Additionally, mitigations for firejail's CVE-2020-17367,
    CVE-2020-17368 are included as well.

 -- Kunal Mehta <legoktm@debian.org>  Thu, 24 Sep 2020 15:29:07 -0700

mediawiki (1:1.31.7-1~deb10u1) buster-security; urgency=medium

  * New upstream version 1.31.7, fixing CVE-2020-10960.
    CVE-2020-10959 does not affect this version of MediaWiki.
  * A hardening fix was included for the OATHAuth extension to
    limit access of user-controlled JavaScript.

 -- Kunal Mehta <legoktm@debian.org>  Thu, 26 Mar 2020 14:59:51 -0700

mediawiki (1:1.31.6-1~deb10u1) buster-security; urgency=medium

  * New upstream version 1.31.6 (security release), fixing
    CVE-2019-19709.

 -- Kunal Mehta <legoktm@debian.org>  Thu, 19 Dec 2019 13:03:58 -0800

## mediawiki 1.31.14

=== debian/changelog ===
mediawiki (1:1.31.14-1~deb10u1) unstable; urgency=medium

  * update

 -- Kunal Mehta <legoktm@debian.org>  Tue, 06 Jul 2021 10:14:52 +0800

mediawiki (1:1.31.14-1~deb10u1) buster-security; urgency=medium

  * New upstream version 1.31.14, fixing CVE-2021-30152, CVE-2021-30154,
    CVE-2021-30155, CVE-2021-30157, CVE-2021-30158, CVE-2021-30159.
    This version is not affected by CVE-2021-30153.
  * The pygments lexers vulnerable to CVE-2021-20270, CVE-2021-27291
    were disabled to mitigate the exploit.

 -- Kunal Mehta <legoktm@debian.org>  Thu, 08 Apr 2021 14:08:21 -0700

mediawiki (1:1.31.12-1~deb10u1) buster-security; urgency=medium

  * New upstream version 1.31.12, fixing CVE-2020-35475, CVE-2020-35477,
    CVE-2020-35479, CVE-2020-35480.
    This version is not affected by CVE-2020-35474 nor CVE-2020-35478.
  * Respect $wgRedirectOnLogin configuration setting (Closes: #971986).
  * Flatten footer links without triggering a PHP warning (Closes: #971985).

 -- Kunal Mehta <legoktm@debian.org>  Thu, 17 Dec 2020 15:30:11 -0800

## mediawiki 1.31.16

=== debian/changelog ===
mediawiki (1:1.31.16-1~deb10u1) buster-security; urgency=medium

  * New upstream version 1.31.16, fixing CVE-2021-35197, CVE-2021-41798,
    CVE-2021-41799, CVE-2021-41800, CVE-2021-41801.

 -- Kunal Mehta <legoktm@debian.org>  Thu, 30 Sep 2021 10:28:36 -0700

## mediawiki 1.35.0

=== debian/changelog ===
mediawiki (1:1.35.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream version 1.35.0, fixing CVE-2020-25812,
    CVE-2020-25813, CVE-2020-25814, CVE-2020-25815,
    CVE-2020-25827, CVE-2020-25828.
  * Additionally, mitigations for firejail's CVE-2020-17367,
    CVE-2020-17368 are included as well.
  * Require PHP 7.3+ (thanks to Platonides for the suggestion).

 -- Kunal Mehta <legoktm@debian.org>  Sun, 27 Sep 2020 04:16:53 -0700

mediawiki (1:1.35.0~rc.3-1) experimental; urgency=medium

  * New upstream version 1.35.0~rc.3

 -- Kunal Mehta <legoktm@debian.org>  Sat, 05 Sep 2020 02:48:24 -0700

mediawiki (1:1.35.0~rc.2-1) experimental; urgency=medium

  * New upstream version 1.35.0~rc.2
  * Avoid installing more sets of PHPUnit tests
  * Don't have logrotate create files as root:adm
  * Recommend php-gmp for a performance boost

 -- Kunal Mehta <legoktm@debian.org>  Fri, 21 Aug 2020 23:49:28 -0700

mediawiki (1:1.35.0~rc.1-1) experimental; urgency=medium

  * New upstream version 1.35.0~rc.1
  * Drop legacy /etc/mediawiki-extensions/extensions-available/ directory
  * Log errors, exceptions and fatals by default
  * Stop installing legacy /etc/mediawiki/mediawiki.conf
  * Use mime.types provided by MediaWiki (Closes: #903876)
  * Set $wgCacheDirectory = '/var/cache/mediawiki' by default

 -- Kunal Mehta <legoktm@debian.org>  Fri, 07 Aug 2020 14:50:37 -0700

mediawiki (1:1.35.0~rc.0-1) experimental; urgency=medium

  * New upstream version 1.35.0~rc.0
    * Recommend php-luasandbox/lua5.1 for the Scribunto extension
    * Includes Parsoid library (Closes: #831424)
  * Switch to debhelper compat 13
  * Fix autopkgtests by using a "stronger" password and explicitly
    passing --scriptpath to the installer.

 -- Kunal Mehta <legoktm@debian.org>  Sat, 01 Aug 2020 01:40:37 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Kunal Mehta <legoktm@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-buildinfo,
  apache2-dev
 Homepage: https://www.mediawiki.org/
@@ -13,9 +13,26 @@
 
 Package: mediawiki
 Architecture: all
-Depends: apache2 | httpd, php, php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd, php-common, php-mbstring, php-xml, mime-support, mediawiki-classes (= ${binary:Version}), ${misc:Depends}
-Recommends: default-mysql-server | virtual-mysql-server | postgresql-contrib, php-cli, php-apcu, php-intl, php-curl, php-wikidiff2, python3
-Suggests: imagemagick | php-gd, memcached, clamav
+Depends: apache2 | httpd,
+ php (>= 2:7.3~),
+ php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd,
+ php-mbstring,
+ php-xml,
+ mediawiki-classes (= ${binary:Version}),
+ ${misc:Depends}
+Recommends: default-mysql-server | virtual-mysql-server | postgresql-contrib,
+ php-cli,
+ php-apcu,
+ php-intl,
+ php-curl,
+ php-gmp,
+ php-wikidiff2,
+ python3,
+ php-luasandbox | lua5.1
+Suggests: imagemagick | php-gd,
+ memcached,
+ clamav,
+ firejail
 Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),
  mediawiki-extensions-ldapauth (<< 2.8~),
  mediawiki-extensions-openid (<< 2.8~),

=== debian/watch ===
version=3

opts="dversionmangle=s/^[0-9]+://;s/\+dfsg$//,pgpsigurlmangle=s/$/.sig/" \
https://releases.wikimedia.org/mediawiki/1.35/ mediawiki-([0-9.]*).tar.gz

## mediawiki 1.35.1

=== debian/changelog ===
mediawiki (1:1.35.1-2) unstable; urgency=medium

  * Make it easier to install for use with SQLite (Closes: #979686)

 -- Kunal Mehta <legoktm@debian.org>  Wed, 03 Feb 2021 15:01:01 -0800

mediawiki (1:1.35.1-1) unstable; urgency=medium

  * New upstream version 1.35.1, fixing CVE-2020-35474, CVE-2020-35475,
    CVE-2020-35477, CVE-2020-35478, CVE-2020-35479, CVE-2020-35480.
  * Respect $wgRedirectOnLogin configuration setting (Closes: #971986).
  * Flatten footer links without triggering a PHP warning (Closes: #971985).
  * Drop patches merged upstream

 -- Kunal Mehta <legoktm@debian.org>  Thu, 17 Dec 2020 17:53:57 -0800

mediawiki (1:1.35.0-2) unstable; urgency=medium

  * Refactor autopkgtests to make easier to reuse
  * Fixup lintian overrides
  * d/watch: Switch to version=4
  * Add patches for PHP 8.0 and newer Postgres compatibility
  * Standards-Version: 4.5.1, no changes needed

 -- Kunal Mehta <legoktm@debian.org>  Mon, 14 Dec 2020 10:56:11 -0800

## mediawiki 1.35.2

=== debian/changelog ===
mediawiki (1:1.35.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Kunal Mehta <legoktm@debian.org>  Thu, 22 Apr 2021 22:14:23 -0700

mediawiki (1:1.35.2-1) unstable; urgency=high

  * New upstream version 1.35.2, fixing CVE-2021-30152, CVE-2021-30153,
    CVE-2021-30154, CVE-2021-30155, CVE-2021-30157, CVE-2021-30158,
    CVE-2021-30159, CVE-2021-30458.
  * Bundled pygments was updated to fix CVE-2021-20270, CVE-2021-27291.

 -- Kunal Mehta <legoktm@debian.org>  Thu, 08 Apr 2021 13:41:18 -0700

mediawiki (1:1.35.1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Kunal Mehta <legoktm@debian.org>  Tue, 02 Mar 2021 21:44:55 -0800

mediawiki (1:1.35.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Kunal Mehta <legoktm@debian.org>  Sun, 20 Dec 2020 23:43:36 -0800

mediawiki (1:1.35.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Kunal Mehta <legoktm@debian.org>  Mon, 28 Sep 2020 21:21:30 -0700

## mediawiki 1.35.3

=== debian/changelog ===
mediawiki (1:1.35.3-1) unstable; urgency=medium

  [ Kunal Mehta ]
  * New upstream version 1.35.3, fixing CVE-2021-35197.

  [ Tobias Wiese ]
  * d/tests: update test restrictions (Closes: #987976)
  * d/tests: Add systemd as test dependency

 -- Kunal Mehta <legoktm@debian.org>  Fri, 20 Aug 2021 23:56:23 -0700

## mediawiki 1.35.4

=== debian/changelog ===
mediawiki (1:1.35.4-1~deb11u1) bullseye-security; urgency=high

  * New upstream version 1.35.4, fixing CVE-2021-35197, CVE-2021-41798,
    CVE-2021-41799, CVE-2021-41800, CVE-2021-41801.

 -- Kunal Mehta <legoktm@debian.org>  Thu, 30 Sep 2021 11:39:53 -0700

## mediawiki 1.35.5

=== debian/changelog ===
mediawiki (1:1.35.5-1ubuntu1) jammy; urgency=medium

  * d/t/install-[mysql|postgresql|sqlite]: Dump error.log on failure

 -- Bryce Harrington <bryce@canonical.com>  Mon, 10 Jan 2022 23:21:17 +0000

mediawiki (1:1.35.5-1) unstable; urgency=high

  [ Kunal Mehta ]
  * New upstream version 1.35.5, fixing CVE-2021-44854, CVE-2021-44855,
    CVE-2021-44856, CVE-2021-44857, CVE-2021-44858, CVE-2021-45038.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Kunal Mehta <legoktm@debian.org>  Thu, 30 Sep 2021 20:42:36 -0700

mediawiki (1:1.35.4-1) unstable; urgency=medium

  * New upstream version 1.35.4, fixing CVE-2021-41798, CVE-2021-41799,
    CVE-2021-41800, CVE-2021-41801.

 -- Kunal Mehta <legoktm@debian.org>  Thu, 30 Sep 2021 10:49:49 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: mediawiki
 Section: web
 Priority: optional
-Maintainer: Kunal Mehta <legoktm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kunal Mehta <legoktm@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-buildinfo,
  apache2-dev
 Homepage: https://www.mediawiki.org/
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/mediawiki-team/mediawiki.git
 Vcs-Browser: https://salsa.debian.org/mediawiki-team/mediawiki
 Rules-Requires-Root: no
@@ -20,7 +21,7 @@
  php-xml,
  mediawiki-classes (= ${binary:Version}),
  ${misc:Depends}
-Recommends: default-mysql-server | virtual-mysql-server | postgresql-contrib,
+Recommends: default-mysql-server | virtual-mysql-server | postgresql-contrib | php-sqlite3,
  php-cli,
  php-apcu,
  php-intl,
@@ -62,8 +63,6 @@
 Package: mediawiki-classes
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: mediawiki (<< 1:1.19.8+dfsg-2.1~)
-Replaces: mediawiki (<< 1:1.19.8+dfsg-2.1~)
 Description: website engine for collaborative work - standalone classes
  This package provides standalone classes from the remainder of the
  MediaWiki codebase. They do not call on any other portions of MediaWiki

## mediawiki 1.35.6

=== debian/changelog ===
mediawiki (1:1.35.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.35.6, fixing CVE-2022-28201, CVE-2022-28202,
    CVE-2022-28203. This version is not affected by CVE-2022-28204.
  * Update php extension recommends from composer.json

 -- Taavi Väänänen <hi@taavi.wtf>  Fri, 01 Apr 2022 16:49:04 +0300

mediawiki (1:1.35.5-2) unstable; urgency=medium

  [ Lucas Werkmeister ]
  * Remove PHP 5 support from mediawiki.conf

  [ Kunal Mehta ]
  * Make it easier to debug autopkgtest failures
  * Increase PHP's max_execution_time for autopkgtests to 300s, thanks
    to Paul Gevers and Bryce Harrington for input and helping test.

 -- Kunal Mehta <legoktm@debian.org>  Thu, 27 Jan 2022 00:46:22 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mediawiki
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kunal Mehta <legoktm@debian.org>
+Maintainer: Kunal Mehta <legoktm@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-buildinfo,
  apache2-dev
@@ -27,6 +26,9 @@
  php-intl,
  php-curl,
  php-gmp,
+ php-gd,
+ php-readline,
+ php-yaml,
  php-wikidiff2,
  python3,
  php-luasandbox | lua5.1

## mediawiki 1.35.7

=== debian/changelog ===
mediawiki (1:1.35.7-1) unstable; urgency=medium

  [ Taavi Väänänen ]
  * New upstream release 1.35.7, fixing CVE-2022-27776 and
    CVE-2022-29248 in the embedded guzzlehttp/guzzle library.

  [ Kunal Mehta ]
  * Officially switch to team maintenance, add Taavi to uploaders

 -- Kunal Mehta <legoktm@debian.org>  Sun, 03 Jul 2022 11:14:52 -0700

## mediawiki 1.35.8

=== debian/changelog ===
mediawiki (1:1.35.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:21:41 +0200

mediawiki (1:1.35.8-1) unstable; urgency=medium

  * New upstream version 1.35.8, fixing CVE-2022-41765 and
    CVE-2022-41767.

 -- Kunal Mehta <legoktm@debian.org>  Sun, 02 Oct 2022 21:40:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mediawiki
 Section: web
 Priority: optional
-Maintainer: Kunal Mehta <legoktm@debian.org>
+Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
+Uploaders: Kunal Mehta <legoktm@debian.org>, Taavi Väänänen <hi@taavi.wtf>
 Build-Depends: debhelper-compat (= 13),
  dh-buildinfo,
  apache2-dev

## mediawiki 1.35.11

=== debian/changelog ===
mediawiki (1:1.35.11-1~deb11u1) bullseye-security; urgency=medium

  * New upstream version 1.35.11, fixing CVE-2023-36675,
    CVE-2023-36674, CVE-2023-29141 and CVE-2022-47927.
    * The bundled guzzlehttp/guzzle library was updated to 1.9.1 to fix
      CVE-2023-29197.

 -- Taavi Väänänen <hi@taavi.wtf>  Fri, 30 Jun 2023 20:34:45 +0300

mediawiki (1:1.35.8-1~deb11u1) bullseye-security; urgency=medium

  [ Kunal Mehta ]
  * New upstream version 1.35.8, fixing CVE-2021-44854
    CVE-2021-44855, CVE-2021-44856, CVE-2022-28201,
    CVE-2022-28202, CVE-2022-28203, CVE-2022-34911,
    CVE-2022-34912, CVE-2022-41765, CVE-2022-41767.
    * The bundled guzzle library was updated, fixing
      CVE-2022-29248, CVE-2022-31042, CVE-2022-31043,
      CVE-2022-31090, CVE-2022-31091.
  * Drop patches merged upstream

 -- Kunal Mehta <legoktm@debian.org>  Sun, 02 Oct 2022 21:12:44 -0400

mediawiki (1:1.35.4-1+deb11u2) bullseye-security; urgency=high

  * Cherry-pick upstream patches fixing CVE-2021-44858, CVE-2021-44857,
    CVE-2021-45038.

 -- Kunal Mehta <legoktm@debian.org>  Tue, 14 Dec 2021 18:31:53 -0800

## mediawiki 1.35.13

=== debian/changelog ===
mediawiki (1:1.35.13-1+deb11u4) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2025-3469: XSS-via-i18n vulnerabilities during web page
    generation.
  * Fix CVE-2025-6590: Complete content leak of private wikis due to
    PasswordReset Wikitext injection in error message.
  * Fix CVE-2025-6591: HTML injection in API action=feedcontributions output
    from i18n message.
  * Fix CVE-2025-6593: "{{SITENAME}} registered email address has been
    changed" email sent to unverified email addresses.
  * Fix CVE-2025-6594: XSS in Special:ApiSandbox (User interaction required).
  * Fix CVE-2025-6595: Stored XSS through system messages in MultimediaViewer
  * Fix CVE-2025-6597: MediaWiki should not consider autocreation as login for
    the purposes of security reauthentication.
  * Fix CVE-2025-6926: SUL3 local login should not count for security
    reauthentication.
  * Fix CVE-2025-32072: HTML injection vulenerability in feed output from i18n
    message.
  * Fix CVE-2025-32696: Restriction bypass vulnerability.
  * Fix CVE-2025-32698: Improper enforcing of suppression restrictions in
    LogPager.php.
  * Fix CVE-2025-32699: Potential javascript injection attack enabled by
    Unicode normalization in Action API.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 23 Jul 2025 17:35:16 +0200

mediawiki (1:1.35.13-1+deb11u3) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2023-51704: privileged XSS in the user rights log

 -- Adrian Bunk <bunk@debian.org>  Thu, 26 Sep 2024 12:00:47 +0300

mediawiki (1:1.35.13-1+deb11u2) bullseye-security; urgency=medium

  * Cherry-pick upstream patch fixing T357760 (DoS in Special:MovePage,
    CVE pending).

 -- Taavi Väänänen <hi@taavi.wtf>  Fri, 29 Mar 2024 14:48:41 +0200

mediawiki (1:1.35.13-1~deb11u1) bullseye-security; urgency=medium

  * New upstream version 1.35.13, fixing CVE-2023-3550,
    CVE-2023-45360, CVE-2023-45362, CVE-2023-45363.

 -- Kunal Mehta <legoktm@debian.org>  Mon, 09 Oct 2023 14:40:48 -0400

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 override_dh_install:
 	dh_install
+	# Not upstreamed
+	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/language/generate-collation-data
+
 	# Now some tidying up is required
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail/tests/bug17178.phpt
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail/tests/bug17317.phpt
@@ -13,6 +16,9 @@
 
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/wikimedia/less.php/lib/Less/Less.php.combine
 
+	# Remove Scribunto binaries
+	rm -rf debian/mediawiki/var/lib/mediawiki/extensions/Scribunto/includes/engines/LuaStandalone/binaries
+
 	find debian/mediawiki/usr/share/mediawiki -maxdepth 1 -mindepth 1 | grep -v "\(LocalSettings.php\|debian-scripts\|images\|extensions\|config\)" | \
 	while read i; do \
 		dh_link "`echo "$$i" | sed -e s#debian/mediawiki/##`" \
@@ -20,6 +26,10 @@
 	done
 	# Remove Makefiles
 	find debian/mediawiki/ -iname makefile -exec rm {} \;
+	# Remove CoC files
+	find debian/mediawiki/ -iname CODE_OF_CONDUCT.md -exec rm {} \;
+	# Remove extra tests
+	find debian/mediawiki/ -path '*/tests' -prune -exec rm -rf {} \;
 	# Move extensions
 	mkdir -p debian/mediawiki/usr/share/doc/mediawiki
 	mv debian/mediawiki/var/lib/mediawiki/extensions/README \
@@ -36,16 +46,15 @@
 	rm -rf debian/mediawiki/usr/share/mediawiki/includes/libs
 	# Remove mediawiki-classes README, already installed into /usr/share/doc
 	rm debian/mediawiki-classes/usr/share/mediawiki/includes/libs/README
+	rm debian/mediawiki-classes/usr/share/mediawiki/includes/libs/Message/README.md
+	rm debian/mediawiki-classes/usr/share/mediawiki/includes/libs/ParamValidator/README.md
+	rm debian/mediawiki-classes/usr/share/mediawiki/includes/libs/objectcache/README.md
+	rm debian/mediawiki-classes/usr/share/mediawiki/includes/libs/APACHE-LICENSE-2.0.txt
 
 override_dh_installsystemd:
 	# Do not enable by default, the user needs to manually
 	# configure MediaWiki first.
 	dh_installsystemd --no-enable --name=mediawiki-jobrunner
 
-override_dh_installinit:
-	# We only have a systemd unit, not sysvinit.
-	# Can be removed in debhelper compat 11
-	dh_installinit -Nmediawiki
-
 %:
 	dh $@ --with apache2

=== debian/tests/control ===
Tests: lint
Depends: @, php-cli, jsonlint

Tests: install-sqlite
Depends: @, php-cli, php-sqlite3, curl, sudo, apache2
Restrictions: needs-root, allow-stderr

# default-mysql
Tests: install-mysql
Depends: @, php-cli, php-mysql, default-mysql-server, curl, sudo, apache2
Restrictions: needs-root, allow-stderr

# mysql
Tests: install-mysql
Depends: @, php-cli, php-mysql, mysql-server, curl, sudo, apache2
# Don't fail when mysql-server isn't in Debian testing
Restrictions: needs-root, skip-not-installable, allow-stderr

# mariadb
Tests: install-mysql
Depends: @, php-cli, php-mysql, mariadb-server, curl, sudo, apache2
Restrictions: needs-root, allow-stderr

Tests: install-postgresql
Depends: @, php-cli, php-pgsql, postgresql, curl, sudo, apache2
Restrictions: needs-root, allow-stderr

## mediawiki 1.39.0

=== debian/changelog ===
mediawiki (1:1.39.0-1) unstable; urgency=medium

  * New upstream version 1.39.0

 -- Taavi Väänänen <hi@taavi.wtf>  Sun, 04 Dec 2022 22:20:45 +0200

mediawiki (1:1.39.0~rc.1-1) experimental; urgency=medium

  * New upstream version 1.39.0~rc.1
  * Drop patch merged upstream

 -- Kunal Mehta <legoktm@debian.org>  Sun, 16 Oct 2022 16:34:30 -0400

mediawiki (1:1.39.0~rc.0-1) experimental; urgency=medium

  [ Taavi Väänänen ]
  * New upstream version 1.39.0~rc.0
  * Update packaging for 1.39 changes
    * php-intl is now required
    * Add patch to drop symfony/php73-polyfill dependency
  * Standards-Version: 4.6.1, no changes needed

  [ Kunal Mehta ]
  * Have SyntaxHighlight use packaged pygmentize, rather than bundled
  * Promote imagemagick to Recommends, remove from Suggests

 -- Kunal Mehta <legoktm@debian.org>  Sun, 25 Sep 2022 19:32:19 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dh-buildinfo,
  apache2-dev
 Homepage: https://www.mediawiki.org/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/mediawiki-team/mediawiki.git
 Vcs-Browser: https://salsa.debian.org/mediawiki-team/mediawiki
 Rules-Requires-Root: no
@@ -16,6 +16,8 @@
 Architecture: all
 Depends: apache2 | httpd,
  php (>= 2:7.3~),
+ php-intl,
+ php-json,
  php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd,
  php-mbstring,
  php-xml,
@@ -24,17 +26,15 @@
 Recommends: default-mysql-server | virtual-mysql-server | postgresql-contrib | php-sqlite3,
  php-cli,
  php-apcu,
- php-intl,
  php-curl,
  php-gmp,
- php-gd,
+ imagemagick | php-gd,
  php-readline,
  php-yaml,
  php-wikidiff2,
- python3,
+ python3-pygments,
  php-luasandbox | lua5.1
-Suggests: imagemagick | php-gd,
- memcached,
+Suggests: memcached,
  clamav,
  firejail
 Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),

=== debian/rules ===
--- 
+++ 
@@ -8,16 +8,19 @@
 	# Now some tidying up is required
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail/tests/bug17178.phpt
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail/tests/bug17317.phpt
+	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/net_url2/Net/URL2.php
+	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/net_url2/docs/6470.php
+	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/net_url2/docs/example.php
 	# These were fixed upstream already: https://github.com/liuggio/statsd-php-client/pull/52
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdData.php
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/tests/Liuggio/StatsdClient/StatsdDataFactoryTest.php
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdDataInterface.php
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/tests/Liuggio/StatsdClient/Entity/StatsdDataTest.php
 
-	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/wikimedia/less.php/lib/Less/Less.php.combine
-
 	# Remove Scribunto binaries
 	rm -rf debian/mediawiki/var/lib/mediawiki/extensions/Scribunto/includes/engines/LuaStandalone/binaries
+	# And SyntaxHighlight ones
+	rm -rf debian/mediawiki/var/lib/mediawiki/extensions/SyntaxHighlight_GeSHi/pygments
 
 	find debian/mediawiki/usr/share/mediawiki -maxdepth 1 -mindepth 1 | grep -v "\(LocalSettings.php\|debian-scripts\|images\|extensions\|config\)" | \
 	while read i; do \
@@ -49,6 +52,7 @@
 	rm debian/mediawiki-classes/usr/share/mediawiki/includes/libs/Message/README.md
 	rm debian/mediawiki-classes/usr/share/mediawiki/includes/libs/ParamValidator/README.md
 	rm debian/mediawiki-classes/usr/share/mediawiki/includes/libs/objectcache/README.md
+	rm debian/mediawiki-classes/usr/share/mediawiki/includes/libs/WRStats/README.md
 	rm debian/mediawiki-classes/usr/share/mediawiki/includes/libs/APACHE-LICENSE-2.0.txt
 
 override_dh_installsystemd:

## mediawiki 1.39.1

=== debian/changelog ===
mediawiki (1:1.39.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Kunal Mehta <legoktm@debian.org>  Sat, 31 Dec 2022 15:32:04 -0800

mediawiki (1:1.39.1-2) unstable; urgency=medium

  * d/copyright: Remove stale entry for vendor/wikimedia/dodo/*
  * d/rules: Raise Standards-Version to 4.6.2, no changes needed
  * d/control: Add a Breaks: for old GreyStuff versions

 -- Taavi Väänänen <hi@taavi.wtf>  Tue, 27 Dec 2022 12:34:25 +0200

mediawiki (1:1.39.1-1) unstable; urgency=medium

  * New upstream version 1.39.1

 -- Taavi Väänänen <hi@taavi.wtf>  Fri, 23 Dec 2022 12:09:19 +0200

mediawiki (1:1.39.0-2) unstable; urgency=medium

  * Cherry-pick upstream patch to fix 32-bit issues in wikimedia/idle-dom

 -- Kunal Mehta <legoktm@debian.org>  Sun, 11 Dec 2022 20:10:05 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dh-buildinfo,
  apache2-dev
 Homepage: https://www.mediawiki.org/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/mediawiki-team/mediawiki.git
 Vcs-Browser: https://salsa.debian.org/mediawiki-team/mediawiki
 Rules-Requires-Root: no
@@ -15,7 +15,7 @@
 Package: mediawiki
 Architecture: all
 Depends: apache2 | httpd,
- php (>= 2:7.3~),
+ php (>= 2:7.4~),
  php-intl,
  php-json,
  php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd,
@@ -46,7 +46,8 @@
  mediawiki-extensions (<< 2.8~),
  mediawiki-extensions-base,
  mediawiki-extensions-confirmedit,
- mediawiki-extensions-geshi
+ mediawiki-extensions-geshi,
+ mediawiki-skin-greystuff (<< 1.2.5~)
 Replaces: mediawiki-extensions-base,
  mediawiki-extensions-confirmedit,
  mediawiki-extensions-geshi

## mediawiki 1.39.2

=== debian/changelog ===
mediawiki (1:1.39.2-1) unstable; urgency=medium

  * New upstream version 1.39.2
  * d/control: Raise minimum PHP version to 7.4

 -- Taavi Väänänen <hi@taavi.wtf>  Thu, 23 Feb 2023 15:13:02 +0200

## mediawiki 1.39.4

=== debian/changelog ===
mediawiki (1:1.39.4-2) unstable; urgency=medium

  * Set Breaks/Replaces for mediawiki-extensions-math (Closes: #1039075)

 -- Kunal Mehta <legoktm@debian.org>  Tue, 04 Jul 2023 02:42:01 -0400

mediawiki (1:1.39.4-1) unstable; urgency=medium

  [ Kunal Mehta ]
  * Update apache2 config for PHP 8
  * Set "X-Content-Type-Options: nosniff" header for image directories
  * Remove pre-Apache 2.3 support

  [ Taavi Väänänen ]
  * New upstream version 1.39.4, fixing CVE-2023-29141, CVE-2023-36674
    and CVE-2023-36675.
    * The bundled guzzlehttp/guzzle library was updated to 2.4.5 to fix
      CVE-2023-29197.

 -- Taavi Väänänen <hi@taavi.wtf>  Fri, 30 Jun 2023 19:44:00 +0300

## mediawiki 1.39.5

=== debian/changelog ===
mediawiki (1:1.39.5-1~deb12u1) bookworm-security; urgency=medium

  * New upstream version 1.39.5, fixing CVE-2023-3550,
    CVE-2023-45359, CVE-2023-45360, CVE-2023-45361, CVE-2023-45362,
    CVE-2023-45363, CVE-2023-45364.

 -- Kunal Mehta <legoktm@debian.org>  Mon, 09 Oct 2023 14:34:13 -0400

mediawiki (1:1.39.4-1~deb12u1) bookworm-security; urgency=medium

  [ Taavi Väänänen ]
  * New upstream version 1.39.4, fixing CVE-2023-29141, CVE-2023-36674
    and CVE-2023-36675.
    * The bundled guzzlehttp/guzzle library was updated to 2.4.5 to fix
      CVE-2023-29197.
  * Update config for the bookworm branch.

  [ Kunal Mehta ]
  * Set Breaks/Replaces for mediawiki-extensions-math (Closes: #1039075)

 -- Kunal Mehta <legoktm@debian.org>  Tue, 04 Jul 2023 15:19:28 -0400

## mediawiki 1.39.6

=== debian/changelog ===
mediawiki (1:1.39.6-1) unstable; urgency=medium

  * New upstream version 1.39.6, fixing CVE-2023-51704.

 -- Taavi Väänänen <hi@taavi.wtf>  Wed, 27 Dec 2023 22:39:20 +0200

mediawiki (1:1.39.5-1) unstable; urgency=medium

  * New upstream version 1.39.5, fixing CVE-2023-3550,
    CVE-2023-45359, CVE-2023-45360, CVE-2023-45361, CVE-2023-45362,
    CVE-2023-45363, CVE-2023-45364.

 -- Kunal Mehta <legoktm@debian.org>  Mon, 09 Oct 2023 15:00:33 -0400

## mediawiki 1.39.7

=== debian/changelog ===
mediawiki (1:1.39.7-1) unstable; urgency=medium

  * New upstream version 1.39.7. (Closes: #1064797)
  * Drop obsolete Lintian override for
    package-supports-alternative-init-but-no-init.d-script.
  * Fix ordering in debian/changelog to fix the
    globbing-patterns-out-of-order lintian warning.

 -- Taavi Väänänen <hi@taavi.wtf>  Fri, 29 Mar 2024 13:30:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,6 @@
 	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/language/generate-collation-data
 
 	# Now some tidying up is required
-	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail/tests/bug17178.phpt
-	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail/tests/bug17317.phpt
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/net_url2/Net/URL2.php
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/net_url2/docs/6470.php
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/net_url2/docs/example.php

## mediawiki 1.39.8

=== debian/changelog ===
mediawiki (1:1.39.8-1build1) oracular; urgency=medium

  * No-change rebuild for clamav 1.3.x

 -- Bryce Harrington <bryce@canonical.com>  Wed, 03 Jul 2024 19:14:03 -0700

mediawiki (1:1.39.8-1) unstable; urgency=medium

  [ Taavi Väänänen ]
  * Update my email address

  [ Kunal Mehta ]
  * New upstream version 1.39.8

 -- Kunal Mehta <legoktm@debian.org>  Sun, 30 Jun 2024 00:01:52 -0400

## mediawiki 1.39.10

=== debian/changelog ===
mediawiki (1:1.39.10-1) unstable; urgency=medium

  * New upstream version 1.39.10

 -- Taavi Väänänen <taavi@debian.org>  Tue, 01 Oct 2024 18:45:38 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
-Uploaders: Kunal Mehta <legoktm@debian.org>, Taavi Väänänen <hi@taavi.wtf>
+Uploaders: Kunal Mehta <legoktm@debian.org>, Taavi Väänänen <taavi@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-buildinfo,
  apache2-dev
@@ -47,10 +47,12 @@
  mediawiki-extensions-base,
  mediawiki-extensions-confirmedit,
  mediawiki-extensions-geshi,
- mediawiki-skin-greystuff (<< 1.2.5~)
+ mediawiki-skin-greystuff (<< 1.2.5~),
+ mediawiki-extensions-math (<= 2:1.0+git20120528-8)
 Replaces: mediawiki-extensions-base,
  mediawiki-extensions-confirmedit,
- mediawiki-extensions-geshi
+ mediawiki-extensions-geshi,
+ mediawiki-extensions-math (<= 2:1.0+git20120528-8)
 Provides: mediawiki-extensions-confirmedit,
  mediawiki-extensions-geshi
 Description: website engine for collaborative work

## mediawiki 1.39.12

=== debian/changelog ===
mediawiki (1:1.39.12-1~deb12u1) bookworm-security; urgency=medium

  [ Kunal Mehta ]
  * Update gbp.conf to use upstream-1.39 branch
  * New upstream version 1.39.12, fixing CVE-2025-3469,
    CVE-2025-32696, CVE-2025-32697, CVE-2025-32698, CVE-2025-32699,
    CVE-2025-32700.

  [ Taavi Väänänen ]
  * Stop changing permissions for files that no longer exist

 -- Kunal Mehta <legoktm@debian.org>  Fri, 11 Apr 2025 00:01:01 -0400

mediawiki (1:1.39.10-1~deb12u1) bookworm-security; urgency=medium

  * New upstream version 1.39.10, fixing T372998 (AbuseFilter API not
    properly checking permissions, CVE-2024-47913).

 -- Taavi Väänänen <taavi@debian.org>  Wed, 02 Oct 2024 17:44:10 +0300

mediawiki (1:1.39.7-1~deb12u1) bookworm-security; urgency=medium

  * New upstream version 1.39.7, fixing CVE-2023-51704, T355538 (XSS
    in edit summary parser, CVE-2024-34507) and T357760 (DoS in
    Special:MovePage, CVE-2024-34506).

 -- Taavi Väänänen <hi@taavi.wtf>  Fri, 29 Mar 2024 13:51:27 +0200

## mediawiki 1.39.13

=== debian/changelog ===
mediawiki (1:1.39.13-1~deb12u1) bookworm-security; urgency=medium

  * New upstream version 1.39.13, fixing CVE-2025-6590, CVE-2025-6591,
    CVE-2025-6593, CVE-2025-6594, CVE-2025-6597, CVE-2025-32072.

 -- Taavi Väänänen <taavi@debian.org>  Tue, 01 Jul 2025 19:31:26 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
-Uploaders: Kunal Mehta <legoktm@debian.org>, Taavi Väänänen <taavi@debian.org>
+Uploaders: Kunal Mehta <legoktm@debian.org>, Taavi Väänänen <hi@taavi.wtf>
 Build-Depends: debhelper-compat (= 13),
  dh-buildinfo,
  apache2-dev

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/language/generate-collation-data
 
 	# Now some tidying up is required
-	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/net_url2/Net/URL2.php
-	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/net_url2/docs/6470.php
-	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/net_url2/docs/example.php
 	# These were fixed upstream already: https://github.com/liuggio/statsd-php-client/pull/52
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdData.php
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/tests/Liuggio/StatsdClient/StatsdDataFactoryTest.php

=== debian/watch ===
version=4

opts="dversionmangle=s/^[0-9]+://;s/\+dfsg$//,pgpsigurlmangle=s/$/.sig/" \
https://releases.wikimedia.org/mediawiki/1.39/ mediawiki-([0-9.]*).tar.gz

## mediawiki 1.39.17

=== debian/changelog ===
mediawiki (1:1.39.17-1~deb12u1) bookworm-security; urgency=medium

  * New upstream version 1.39.17, fixing CVE-2025-67475, CVE-2025-67477,
    CVE-2025-67478, CVE-2025-67479, CVE-2025-67480, CVE-2025-67481,
    CVE-2025-67482, CVE-2025-67484. This version is not affected by
    CVE-2025-67476, CVE-2025-67477, or CVE-2025-67483.

 -- Taavi Väänänen <taavi@debian.org>  Wed, 17 Dec 2025 17:52:47 +0200
